Bloxels Star Wars™ Supported devices

 

Bloxels Star Wars™ works best with these smart devices:

 

Android

  • NVIDIA SHIELD K1
  • Samsung Galaxy Tab A 8in
  • Nexus 5x
  • Nexus 6p

Apple

  • iPad Mini (Gen 2 and newer)
  • iPad Air (Gen 1 and newer)
  • iPad Pro (All generations)
  • iPhone 6 and newer
  • iPhone 6 Plus and newer
 

Kindle

  • Fire HD 8 (2016 and newer)
  • Fire HDX 8.9 (2014 and newer)

Learn More About Bloxels Star Wars